Index: /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-solid_earth.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-solid_earth.sh	(revision 25931)
+++ /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-solid_earth.sh	(revision 25931)
@@ -0,0 +1,81 @@
+#!/bin/bash
+
+# This script is intended to test binaries downloaded to a user-end machine.
+#
+# NOTE: Tarball must already exist in INSTALL_DIR
+#
+
+MATLAB_NROPTIONS="'benchmark','slr'"
+MATLAB_PATH="/usr/local/MATLAB/R2019b"
+INSTALL_DIR=~/Downloads
+PACKAGE_NAME="ISSM-Solid_Earth"
+PYTHON_NROPTIONS="--benchmark slr"
+TARBALL_NAME="issm-linux-solid_earth"
+TARBALL="${TARBALL_NAME}.tar.gz"
+
+export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
+export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
+
+cd ${INSTALL_DIR}
+rm -rf ${PACKAGE_NAME}
+tar -zxvf ${TARBALL}
+cd ${PACKAGE_NAME}/test/NightlyRun
+
+# Check that MATLAB tests run
+echo "Running MATLAB tests"
+rm matlab.log 2> /dev/null
+
+# Run MATLAB tests redirecting output to logfile and suppressing output to console
+${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+
+# Check that MATLAB did not exit in error
+matlabExitCode=`echo $?`
+matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
+
+if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	echo "----------MATLAB exited in error!----------"
+	cat matlab.log
+	echo "-----------End of matlab.log-----------"
+	exit 1
+fi
+
+# Check that all MATLAB tests passed
+numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+
+if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
+	echo "One or more MATLAB tests FAILED"
+	exit 1
+else
+	echo "All MATLAB tests PASSED"
+fi
+
+# Check that Python tests run
+echo "Running Python tests"
+
+export PYTHONPATH="${ISSM_DIR}/scripts"
+export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
+export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
+
+rm python.log 2> /dev/null
+./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
+
+# Check that Python did not exit in error
+pythonExitCode=`echo $?`
+pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
+
+if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
+	echo "----------Python exited in error!----------"
+	cat python.log
+	echo "-----------End of python.log-----------"
+	exit 1
+fi
+
+# Check that all Python tests passed
+numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+
+if [[ ${numPythonTestsFailed} -ne 0 ]]; then
+	echo "One or more Python tests FAILED"
+	exit 1
+else
+	echo "All Python tests PASSED"
+fi
Index: /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-with_dakota.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-with_dakota.sh	(revision 25931)
+++ /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries-with_dakota.sh	(revision 25931)
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# This script is intended to test binaries downloaded to a user-end machine.
+#
+# NOTE: Tarball must already exist in INSTALL_DIR
+#
+
+MATLAB_NROPTIONS="'id',[IdFromString('Dakota')]"
+MATLAB_PATH="/usr/local/MATLAB/R2019b"
+INSTALL_DIR=~/Downloads
+PACKAGE_NAME="ISSM"
+PYTHON_NROPTIONS="--include_name 'Dakota' --exclude 234 418 420"
+TARBALL_NAME="issm-linux-with_dakota"
+TARBALL="${TARBALL_NAME}.tar.gz"
+
+export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
+export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
+
+cd ${INSTALL_DIR}
+rm -rf ${PACKAGE_NAME}
+tar -zxvf ${TARBALL}
+cd ${PACKAGE_NAME}/test/NightlyRun
+
+# Check that MATLAB tests run
+echo "Running MATLAB tests"
+rm matlab.log 2> /dev/null
+
+# Run MATLAB tests redirecting output to logfile and suppressing output to console
+${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+
+# Check that MATLAB did not exit in error
+matlabExitCode=`echo $?`
+matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
+
+if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	echo "----------MATLAB exited in error!----------"
+	cat matlab.log
+	echo "-----------End of matlab.log-----------"
+	exit 1
+fi
+
+# Check that all MATLAB tests passed
+numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+
+if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
+	echo "One or more MATLAB tests FAILED"
+	exit 1
+else
+	echo "All MATLAB tests PASSED"
+fi
+
+# Check that Python tests run
+echo "Running Python tests"
+
+export ISSM_DIR="${INSTALL_DIR}"
+export PATH="${PATH}:${ISSM_DIR}/bin"
+export PYTHONPATH="${ISSM_DIR}/scripts"
+export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
+export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
+
+rm python.log 2> /dev/null
+./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
+
+# Check that Python did not exit in error
+pythonExitCode=`echo $?`
+pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
+
+if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
+	echo "----------Python exited in error!----------"
+	cat python.log
+	echo "-----------End of python.log-----------"
+	exit 1
+fi
+
+# Check that all Python tests passed
+numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+
+if [[ ${numPythonTestsFailed} -ne 0 ]]; then
+	echo "One or more Python tests FAILED"
+	exit 1
+else
+	echo "All Python tests PASSED"
+fi
Index: /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries.sh	(revision 25931)
+++ /issm/trunk-jpl/packagers/linux/test-issm-linux-binaries.sh	(revision 25931)
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# This script is intended to test binaries downloaded to a user-end machine.
+#
+# NOTE: Tarball must already exist in INSTALL_DIR
+#
+
+MATLAB_NROPTIONS="'exclude',[IdFromString('Dakota')]"
+MATLAB_PATH="/usr/local/MATLAB/R2019b"
+INSTALL_DIR=~/Downloads
+PACKAGE_NAME="ISSM"
+TARBALL_NAME="issm-linux"
+TARBALL="${TARBALL_NAME}.tar.gz"
+
+export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
+export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
+
+cd ${INSTALL_DIR}
+rm -rf ${PACKAGE_NAME}
+tar -zxvf ${TARBALL}
+cd ${PACKAGE_NAME}/test/NightlyRun
+
+# Check that MATLAB tests run
+echo "Running MATLAB tests"
+rm matlab.log 2> /dev/null
+
+# Run MATLAB tests redirecting output to logfile and suppressing output to console
+${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+
+# Check that MATLAB did not exit in error
+matlabExitCode=`echo $?`
+matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
+
+if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	echo "----------MATLAB exited in error!----------"
+	cat matlab.log
+	echo "-----------End of matlab.log-----------"
+	exit 1
+fi
+
+# Check that all MATLAB tests passed
+numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+
+if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
+	echo "One or more MATLAB tests FAILED"
+	exit 1
+else
+	echo "All MATLAB tests PASSED"
+fi
Index: sm/trunk-jpl/scripts/installExternalPackages.sh
===================================================================
--- /issm/trunk-jpl/scripts/installExternalPackages.sh	(revision 25930)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#!/bin/bash
-
-#Jenkins xml files for individual packages
-EXTERNAL_TEST_FILE="$ISSM_DIR/nightlylog/results/external.xml"
-mkdir -p $ISSM_DIR/nightlylog/results
-echo "<testsuite tests=\"$NUMPACKAGES\">" > $EXTERNAL_TEST_FILE
-
-source $ISSM_DIR/BuildConfig/externalpackages
-
-#number of packages: 
-NUMPACKAGES=$(($(echo $EXTERNALPACKAGES | wc -w )/2))
-for ((i=1;i<=$NUMPACKAGES;i++))
-do
-	NUM1=$((2*$i-1))
-	NUM2=$((2*$i))
-	PACKAGENAME=$(echo $EXTERNALPACKAGES | cut -d " " -f $NUM1-$NUM1)
-	PACKAGEINST=$(echo $EXTERNALPACKAGES | cut -d " " -f $NUM2-$NUM2)
-
-	cd $ISSM_DIR/externalpackages/$PACKAGENAME
-
-	#install if requested or if previous install has not been successful
-	echo "======================================================";
-	echo "       Installing $PACKAGENAME                        ";
-	echo "======================================================";
-	echo "<testcase classname=\"externalpackages\" name=\"$PACKAGENAME\">" >> $EXTERNAL_TEST_FILE
-	./$PACKAGEINST |  tee compil.log
-	if [ $? -ne 0 ]; then
-		echo "======================================================";
-		echo "    ERROR: installation of $PACKAGENAME failed        ";
-		echo "======================================================";
-		echo '<failure message="failure">' >> $EXTERNAL_TEST_FILE
-		cat ./compil.log >> $EXTERNAL_TEST_FILE
-		echo '</failure>' >> $EXTERNAL_TEST_FILE
-		exit 1
-	else
-		echo '<success message="success">' >> $EXTERNAL_TEST_FILE
-		cat ./compil.log >> $EXTERNAL_TEST_FILE
-		echo '</success>' >> $EXTERNAL_TEST_FILE
-		touch SUCCESS
-	fi
-	echo '</testcase>' >> $EXTERNAL_TEST_FILE
-	source $ISSM_DIR/etc/environment.sh
-done
-echo '</testsuite>' >> $EXTERNAL_TEST_FILE
Index: sm/trunk-jpl/scripts/test-issm-linux-binaries-solid_earth.sh
===================================================================
--- /issm/trunk-jpl/scripts/test-issm-linux-binaries-solid_earth.sh	(revision 25930)
+++ 	(revision )
@@ -1,81 +1,0 @@
-#!/bin/bash
-
-# This script is intended to test binaries downloaded to a user-end machine.
-#
-# NOTE: Tarball must already exist in INSTALL_DIR
-#
-
-MATLAB_NROPTIONS="'benchmark','slr'"
-MATLAB_PATH="/usr/local/MATLAB/R2019b"
-INSTALL_DIR=~/Downloads
-PACKAGE_NAME="ISSM-Solid_Earth"
-PYTHON_NROPTIONS="--benchmark slr"
-TARBALL_NAME="issm-linux-solid_earth"
-TARBALL="${TARBALL_NAME}.tar.gz"
-
-export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
-export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
-
-cd ${INSTALL_DIR}
-rm -rf ${PACKAGE_NAME}
-tar -zxvf ${TARBALL}
-cd ${PACKAGE_NAME}/test/NightlyRun
-
-# Check that MATLAB tests run
-echo "Running MATLAB tests"
-rm matlab.log 2> /dev/null
-
-# Run MATLAB tests redirecting output to logfile and suppressing output to console
-${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
-
-# Check that MATLAB did not exit in error
-matlabExitCode=`echo $?`
-matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
-
-if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
-	echo "----------MATLAB exited in error!----------"
-	cat matlab.log
-	echo "-----------End of matlab.log-----------"
-	exit 1
-fi
-
-# Check that all MATLAB tests passed
-numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
-
-if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
-	echo "One or more MATLAB tests FAILED"
-	exit 1
-else
-	echo "All MATLAB tests PASSED"
-fi
-
-# Check that Python tests run
-echo "Running Python tests"
-
-export PYTHONPATH="${ISSM_DIR}/scripts"
-export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
-export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
-
-rm python.log 2> /dev/null
-./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
-
-# Check that Python did not exit in error
-pythonExitCode=`echo $?`
-pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
-
-if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
-	echo "----------Python exited in error!----------"
-	cat python.log
-	echo "-----------End of python.log-----------"
-	exit 1
-fi
-
-# Check that all Python tests passed
-numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
-
-if [[ ${numPythonTestsFailed} -ne 0 ]]; then
-	echo "One or more Python tests FAILED"
-	exit 1
-else
-	echo "All Python tests PASSED"
-fi
Index: sm/trunk-jpl/scripts/test-issm-linux-binaries-with_dakota.sh
===================================================================
--- /issm/trunk-jpl/scripts/test-issm-linux-binaries-with_dakota.sh	(revision 25930)
+++ 	(revision )
@@ -1,83 +1,0 @@
-#!/bin/bash
-
-# This script is intended to test binaries downloaded to a user-end machine.
-#
-# NOTE: Tarball must already exist in INSTALL_DIR
-#
-
-MATLAB_NROPTIONS="'id',[IdFromString('Dakota')]"
-MATLAB_PATH="/usr/local/MATLAB/R2019b"
-INSTALL_DIR=~/Downloads
-PACKAGE_NAME="ISSM"
-PYTHON_NROPTIONS="--include_name 'Dakota' --exclude 234 418 420"
-TARBALL_NAME="issm-linux-with_dakota"
-TARBALL="${TARBALL_NAME}.tar.gz"
-
-export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
-export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
-
-cd ${INSTALL_DIR}
-rm -rf ${PACKAGE_NAME}
-tar -zxvf ${TARBALL}
-cd ${PACKAGE_NAME}/test/NightlyRun
-
-# Check that MATLAB tests run
-echo "Running MATLAB tests"
-rm matlab.log 2> /dev/null
-
-# Run MATLAB tests redirecting output to logfile and suppressing output to console
-${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
-
-# Check that MATLAB did not exit in error
-matlabExitCode=`echo $?`
-matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
-
-if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
-	echo "----------MATLAB exited in error!----------"
-	cat matlab.log
-	echo "-----------End of matlab.log-----------"
-	exit 1
-fi
-
-# Check that all MATLAB tests passed
-numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
-
-if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
-	echo "One or more MATLAB tests FAILED"
-	exit 1
-else
-	echo "All MATLAB tests PASSED"
-fi
-
-# Check that Python tests run
-echo "Running Python tests"
-
-export ISSM_DIR="${INSTALL_DIR}"
-export PATH="${PATH}:${ISSM_DIR}/bin"
-export PYTHONPATH="${ISSM_DIR}/scripts"
-export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
-export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
-
-rm python.log 2> /dev/null
-./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
-
-# Check that Python did not exit in error
-pythonExitCode=`echo $?`
-pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
-
-if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
-	echo "----------Python exited in error!----------"
-	cat python.log
-	echo "-----------End of python.log-----------"
-	exit 1
-fi
-
-# Check that all Python tests passed
-numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
-
-if [[ ${numPythonTestsFailed} -ne 0 ]]; then
-	echo "One or more Python tests FAILED"
-	exit 1
-else
-	echo "All Python tests PASSED"
-fi
Index: sm/trunk-jpl/scripts/test-issm-linux-binaries.sh
===================================================================
--- /issm/trunk-jpl/scripts/test-issm-linux-binaries.sh	(revision 25930)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#!/bin/bash
-
-# This script is intended to test binaries downloaded to a user-end machine.
-#
-# NOTE: Tarball must already exist in INSTALL_DIR
-#
-
-MATLAB_NROPTIONS="'exclude',[IdFromString('Dakota')]"
-MATLAB_PATH="/usr/local/MATLAB/R2019b"
-INSTALL_DIR=~/Downloads
-PACKAGE_NAME="ISSM"
-TARBALL_NAME="issm-linux"
-TARBALL="${TARBALL_NAME}.tar.gz"
-
-export ISSM_DIR="${INSTALL_DIR}/${PACKAGE_NAME}"
-export PATH="${PATH}:${ISSM_DIR}/bin:${ISSM_DIR}/scripts"
-
-cd ${INSTALL_DIR}
-rm -rf ${PACKAGE_NAME}
-tar -zxvf ${TARBALL}
-cd ${PACKAGE_NAME}/test/NightlyRun
-
-# Check that MATLAB tests run
-echo "Running MATLAB tests"
-rm matlab.log 2> /dev/null
-
-# Run MATLAB tests redirecting output to logfile and suppressing output to console
-${MATLAB_PATH}/bin/matlab -nosplash -nodesktop -nojvm -r "try, addpath ../../bin; addpath ../../lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
-
-# Check that MATLAB did not exit in error
-matlabExitCode=`echo $?`
-matlabExitedInError=`grep -E "Activation cannot proceed|license|Error" matlab.log | wc -l`
-
-if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
-	echo "----------MATLAB exited in error!----------"
-	cat matlab.log
-	echo "-----------End of matlab.log-----------"
-	exit 1
-fi
-
-# Check that all MATLAB tests passed
-numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
-
-if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
-	echo "One or more MATLAB tests FAILED"
-	exit 1
-else
-	echo "All MATLAB tests PASSED"
-fi
